Bug 141386 - kernel: scsi0:A:1:0: DV failed to configure device.
kernel: scsi0:A:1:0: DV failed to configure device.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-30 16:05 EST by Blaise A Bourdin
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:12:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Blaise A Bourdin 2004-11-30 16:05:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
I am having problems with the scsi subsystem.
My configuration:
M/B Tyan S2721-533 with buil-in aha7902 scsi chipset
RAID storage unit ATIPA QR1600 attached. Configured in 2 raid arrays

At boot, I have the following error message:
Nov 30 13:55:24 schwarz kernel: SCSI subsystem driver Revision: 1.00
Nov 30 13:55:24 schwarz kernel: scsi0 : Adaptec AIC79XX PCI-X SCSI HBA
DRIVER, Rev 1.3.10-RH1
Nov 30 13:55:24 schwarz kernel:         <Adaptec AIC7902 Ultra320 SCSI
adapter>
Nov 30 13:55:24 schwarz kernel:         aic7902: Ultra320 Wide Channel
A, SCSI Id=7, PCI-X 67-100Mhz, 512 SCBs
Nov 30 13:55:24 schwarz kernel:
Nov 30 13:55:24 schwarz kernel: scsi1 : Adaptec AIC79XX PCI-X SCSI HBA
DRIVER, Rev 1.3.10-RH1
Nov 30 13:55:24 schwarz kernel:         <Adaptec AIC7902 Ultra320 SCSI
adapter>
Nov 30 13:55:24 schwarz kernel:         aic7902: Ultra320 Wide Channel
B, SCSI Id=8, PCI-X 67-100Mhz, 512 SCBs
Nov 30 13:55:24 schwarz kernel:
Nov 30 13:55:24 schwarz kernel: blk: queue c82a1618, I/O limit
524287Mb (mask 0x7fffffffff)
Nov 30 13:55:24 schwarz kernel: scsi0:A:1:0: DV failed to configure
device.  Please file a bug report against this driver.
Nov 30 13:55:24 schwarz kernel: (scsi0:A:1): 160.000MB/s transfers
(80.000MHz DT, 16bit)
Nov 30 13:55:24 schwarz kernel:   Vendor: ATIPA     Model: QR1600    
       Rev: 0001
Nov 30 13:55:24 schwarz kernel:   Type:   Direct-Access              
       ANSI SCSI revision: 03
Nov 30 13:55:24 schwarz kernel: blk: queue c82a1418, I/O limit
524287Mb (mask 0x7fffffffff)
Nov 30 13:55:24 schwarz kernel: scsi0:A:1:0: Tagged Queuing enabled. 
Depth 32
Nov 30 13:55:24 schwarz kernel: Attached scsi disk sda at scsi0,
channel 0, id 1, lun 0
Nov 30 13:55:24 schwarz kernel: SCSI device sda: 937721856 512-byte
hdwr sectors (480114 MB)
Nov 30 13:55:24 schwarz kernel:  sda: sda1

Eventually, the kernel will see only one of the arrays.

I can boot with various resue CD's, and see both arrays without problem.


I have acces to a RHEL kernel recompiled by a third party (don't know
what options with). It displays the same error messages, buyt sees
both arrays. At boot, the aic79xx module won;t load automatically,
though. If I modprobe them, I can see both arrays, but have very poor
r/w performances (hdparm -t -T /dev/sda report 15M/s)


Version-Release number of selected component (if applicable):
kernel-smp-2.4.21-20.EL

How reproducible:
Always

Steps to Reproduce:
1. reboot
2. watch error messages
3.
    

Additional info:

[root@schwarz root]# uname -r
2.4.21-20.ELsmp
[root@schwarz root]# cat /proc/scsi/scsi
Attached devices:
Host: scsi0 Channel: 00 Id: 01 Lun: 00
  Vendor: ATIPA    Model: QR1600           Rev: 0001
  Type:   Direct-Access                    ANSI SCSI revision: 03


After reboot:
[root@schwarz root]# uname -r
2.4.21-9.0.1.ELperfctrsmp
[root@schwarz root]# cat /proc/scsi/scsi
Attached devices:
Host: scsi0 Channel: 00 Id: 01 Lun: 00
  Vendor: ATIPA    Model: QR1600           Rev: 0001
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 01 Lun: 01
  Vendor: ATIPA    Model: QR1600           Rev: 0001
  Type:   Direct-Access                    ANSI SCSI revision: 03
Comment 1 Tom Coughlan 2004-12-17 15:43:40 EST
You need to do the following, in order to configure the second device,
at LUN 1. 

From the release notes:

http://www.redhat.com/docs/manuals/enterprise/RHEL-3-Manual/release-notes/as-x86/RELEASE-NOTES-U1-x86-en.html

The SCSI standard requires that all SCSI devices respond to Logical
Unit Number (LUN) zero. Some SCSI devices fail when they are scanned
for Logical Unit Numbers (LUNs) greater than zero. Other devices
require that LUNs must be numbered sequentially.

The Red Hat Enterprise Linux 3 Update 1 kernel contains a list of
devices that have been tested and shown to work correctly when scanned
for non-zero LUNs, and non-sequential LUNs. Only devices on this list
are scanned by default. This default behavior can be overridden on a
system-wide basis by adding the following entry to the
/etc/modules.conf file:

options scsi_mod max_scsi_luns=255

After modifying modules.conf, it is necessary to rebuild the initial
ramdisk file using the mkinitrd script. Refer to mkinitrd man page
(using the command man mkinitrd) for more information about creating
the initial ramdisk image.

When this option is used, the LUN numbers on the device must be
assigned sequentially, starting with zero.

----------

The "DV failed to configure" may not be critical, depending on your
hardware. The adapter is U320, right? Is the storage also U320? Check
your cables, etc. Do some I/O tests in the Adaptec BIOS to make sure
everything is working.
Comment 2 Blaise A Bourdin 2004-12-17 19:09:45 EST
Hi,

I have followed your instructions, and had only partial succes:
- with these modification, the module will load upon reboot, but will still see only one 
LUN. if I unload all the scsi modules, and modprobe aic79xx, then I can see both LUN's.
- Once everything is mounted, the transfer rate is correct (hdparm -t -T /dev/sda report 
55M/s), what I am expecting.
- I still get the "DV failed" error message, which doesn't bother me in itself.
- The adapter is U320, and the array U160. everything seems OK in adaptec's BIOS. I might 
not have mentionned that earlier, but everything works fine if I boot from a rescuecd live 
CD.

I guess I could simply add a few lines to the /etc/rc.d/rc.local to get both arrays mounted, 
but I'd like to have a "clean" solution.


Thanks,

Blaise
Comment 3 Zhao Pei Qing 2005-07-07 05:17:19 EDT
(In reply to comment #2)
> Hi,
> I have followed your instructions, and had only partial succes:
> - with these modification, the module will load upon reboot, but will still 
see only one 
> LUN. if I unload all the scsi modules, and modprobe aic79xx, then I can see 
both LUN's.
> - Once everything is mounted, the transfer rate is correct (hdparm -t -
T /dev/sda report 
> 55M/s), what I am expecting.
> - I still get the "DV failed" error message, which doesn't bother me in 
itself.
> - The adapter is U320, and the array U160. everything seems OK in adaptec's 
BIOS. I might 
> not have mentionned that earlier, but everything works fine if I boot from a 
rescuecd live 
> CD.
> I guess I could simply add a few lines to the /etc/rc.d/rc.local to get both 
arrays mounted, 
> but I'd like to have a "clean" solution.
> Thanks,
> Blaise


me too . but all work fine. I want know why?
Jul  7 14:52:48 localhost kernel: scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI 
HBA DRIVER, Rev 6.2.36
Jul  7 14:52:48 localhost kernel:         <Adaptec 29160 Ultra160 SCSI adapter>
Jul  7 14:52:48 localhost kernel:         aic7892: Ultra160 Wide Channel A, 
SCSI Id=7, 32/253 SCBs
Jul  7 14:52:48 localhost kernel: 
Jul  7 14:52:48 localhost kernel: blk: queue f773ae18, I/O limit 4095Mb (mask 
0xffffffff)
Jul  7 14:52:48 localhost sshd: RSA1 key generation succeeded
Jul  7 14:52:48 localhost kernel: scsi0:A:1:0: DV failed to configure device.  
Please file a bug report against this driver.
Jul  7 14:52:48 localhost kernel: (scsi0:A:1): 160.000MB/s transfers 
(80.000MHz DT, offset 31, 16bit)
Jul  7 14:52:48 localhost kernel:   Vendor: ED-IN335  Model: 0S                
Rev: 0001
Jul  7 14:52:48 localhost kernel:   Type:   Direct-Access                      
ANSI SCSI revision: 03
Jul  7 14:52:48 localhost kernel: blk: queue f773ac18, I/O limit 4095Mb (mask 
0xffffffff)
Jul  7 14:52:48 localhost kernel: scsi0:A:1:0: Tagged Queuing enabled.  Depth 
32
Jul  7 14:52:48 localhost kernel: Attached scsi disk sda at scsi0, channel 0, 
id 1, lun 0
Jul  7 14:52:48 localhost kernel: SCSI device sda: 286736384 512-byte hdwr 
sectors (146809 MB)
Jul  7 14:52:48 localhost kernel: Partition check:
Jul  7 14:52:48 localhost kernel:  sda: sda1
Jul  7 14:52:48 localhost kernel: HP CISS Driver (v 2.4.52.RH2)
Jul  7 14:52:48 localhost sshd: RSA key generation succeeded
Jul  7 14:52:48 localhost kernel:       blocks= 142253280 block_size= 512
Jul  7 14:52:48 localhost kernel:       heads= 255, sectors= 32, cylinders= 
17433 RAID 0
Jul  7 14:52:48 localhost kernel: 
Jul  7 14:52:48 localhost kernel: blk: queue c04fcfa0, I/O limit 4294967295Mb 
(mask 0xffffffffffffffff)
Jul  7 14:52:48 localhost kernel:  cciss/c0d0: p1 p2 p3
Jul  7 14:52:48 localhost kernel: Journalled Block Device driver loaded



if who know why please mail to me. zhaopq@shentie.com.cn
Comment 4 RHEL Product and Program Management 2007-10-19 15:12:39 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.